Package org.wso2.carbon.task

## Class TaskData

- java.lang.Object
- - org.wso2.carbon.task.TaskData

-     public class TaskData
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getArtifactContainerName()` | Check whether the task is deployed from artifact container
    `String` | `getGroup()` |
    `boolean` | `getIsEdited()` | Check whether the task deployed from artifact container is edited through management console
    `String` | `getName()` |
    `void` | `setArtifactContainerName​(String artifactContainerName)` | Set whether the task is deployed from artifact container
    `void` | `setGroup​(String group)` |
    `void` | `setIsEdited​(boolean isEdited)` | Set whether the task deployed from artifact container is edited through management console
    `void` | `setName​(String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskData

          public TaskData()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getGroup

          public String getGroup()

    - #### setGroup

          public void setGroup​(String group)

    - #### getArtifactContainerName

          public String getArtifactContainerName()

      Check whether the task is deployed from artifact container
      Returns:
        true if task deployed from artifact container, else false

    - #### setArtifactContainerName

          public void setArtifactContainerName​(String artifactContainerName)

      Set whether the task is deployed from artifact container
      Parameters:
        `artifactContainerName` - true if task deployed from artifact container, else false

    - #### getIsEdited

          public boolean getIsEdited()

      Check whether the task deployed from artifact container is edited through management console
      Returns:
        true if the task is edited, else false

    - #### setIsEdited

          public void setIsEdited​(boolean isEdited)

      Set whether the task deployed from artifact container is edited through management console
      Parameters:
        `isEdited` - true if the task is edited, else false